﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

/// <summary>
/// CheckUserName2 的摘要说明
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// 若要允许使用 ASP.NET AJAX 从脚本中调用此 Web 服务，请取消注释以下行。 
 [System.Web.Script.Services.ScriptService]
public class CheckUserName2 : System.Web.Services.WebService
{
    public static string connectionstring = ConfigurationManager.
    ConnectionStrings["newsConnectionString"].ConnectionString;
    SqlConnection conn = new SqlConnection(connectionstring);
    [WebMethod]
    public string CheckUserName(string username)
    {
        string strResult = "";
        conn.Open();//打开连接
        SqlCommand command = new SqlCommand("select count(*) from users where username = @username", conn);
        SqlParameter paramUserName = new SqlParameter("@username",
            SqlDbType.NVarChar);  //为Command对象设置参数,并为参数赋值
        paramUserName.Value = username;
        command.Parameters.Add(paramUserName); //将返回的查询结果,即,用户名等于username的记录条数
        int count = (int)command.ExecuteScalar(); //如果count=0,表示该用户名在表Users中不存在;否则,表示该用户已经存在
        if (count == 0)
            strResult = "用户名可用。";
        else
            strResult = "用户名已存在,请修改用户名。";
        conn.Close();
        return strResult;
    }
}

